function Warfare:StartActivity()
	print("START! -- Warfare:StartActivity()!");

	self.Zone = SceneMan.Scene:GetArea("WarfareCompatibilityZone");
	
	BASE_PATH = "Warfare.rte/Scenes/Scripts/"
	LIB_PATH = "Warfare.rte/Libraries/"

	GAMEPLAY_SCENE_TO_USE = SceneMan.Scene.PresetName;
	
	if TRANSFER_IN_PROGRESS == nil then
		TRANSFER_IN_PROGRESS = false
	end
	
	if not TRANSFER_IN_PROGRESS then
		-- Reset all previouly set scenes and scripts before launch since we're starting clean
		SCENE_TO_LAUNCH = nil
		SCRIPT_TO_LAUNCH = nil
	end

	if SCENE_TO_LAUNCH == nil then
		SCENE_TO_LAUNCH = "WarfareUI"
	end

	if SCRIPT_TO_LAUNCH == nil then
		SCRIPT_TO_LAUNCH = BASE_PATH.."WarfareUI.lua"
	end
	
	TRANSFER_IN_PROGRESS = false
	
	dofile(LIB_PATH.."CF_ConfigLibrary.lua");
	dofile(LIB_PATH.."CF_MissionLibrary.lua");
	dofile(SCRIPT_TO_LAUNCH)
	SceneMan:LoadScene(SCENE_TO_LAUNCH , true)
end
-----------------------------------------------------------------------------------------
-- Pause Activity
-----------------------------------------------------------------------------------------
function Warfare:PauseActivity(pause)
    print("PAUSE! -- Warfare:PauseActivity()!");
end
-----------------------------------------------------------------------------------------
-- End Activity
-----------------------------------------------------------------------------------------
function Warfare:EndActivity()
    print("END! -- Warfare:EndActivity()!");
end
-----------------------------------------------------------------------------------------
-- Update Activity
-----------------------------------------------------------------------------------------
function Warfare:UpdateActivity()
	--print("Mission launcher - Update Once!")
end
